Name:           saoimage
Version:        1.35.1
Release:        7%{?dist}
Summary:        Utility for displaying astronomical images

Group:          Amusements/Graphics
License:        LGPLv2+
URL:            http://tdc-www.harvard.edu/software/saoimage/
Source0:        http://tdc-www.harvard.edu/software/saoimage/%{name}-%{version}.tar.gz
Source1:        saoimage.desktop
Source2:        saoimage.xml
Source3:        saoimage.png
Patch0:         saoimage-1.35.1-decls.patch
Patch1:         saoimage-1.35.1-pad.patch
Patch2:         saoimage-1.35.1-mkstemp.patch
Patch3:         saoimage-1.35.1-inc.patch
Patch4:         saoimage-1.35.1-bpp.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libX11-devel
BuildRequires:  /usr/bin/pdflatex
BuildRequires:  desktop-file-utils

%description
SAOimage (pronounced S-A-0-image) is a utility for displaying astronomical
images in the X11 window environment. It was written at the Smithsonian
Astrophysical Observatory by Mike Van Hilst in 1990 and is now maintained
by Doug Mink.

Image files can be read directly, or image data may be passed through a
named pipe (Unix) or a mailbox (VMS) from IRAF display tasks. SAOimage
provides a large selection of options for zooming, panning, scaling,
coloring, pixel readback, display blinking, and region specification.
User interactions are generally performed with the mouse. Mouse tracking in
an image's world coordinate system, usually sky coordinates, was added in
1994. You can also plot catalogs over images with WCS information in their
headers.

The SAOimage desktop includes, a main image display window, a button menu
panel, a display magnifier, a pan and zoom reference image, and a color bar.
A color table graph window can be brought up by clicking on the color bar. 


%prep
%setup -q
%patch0 -p1 -b .decls
%patch1 -p1 -b .pad
%patch2 -p1 -b .mkstemp
%patch3 -p1 -b .inc
%patch4 -p1 -b .bpp


%build
make OFLAGS="%{optflags}" %{?_smp_mflags} linux \
        IMTOOLRC=%{_sysconfdir}/imtoolrc

cd doc
# Build twice to generate TOC
pdflatex manual.tex; pdflatex manual.tex
pdflatex scale.tex


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}/
install -d $RPM_BUILD_ROOT%{_datadir}/applications
install -d $RPM_BUILD_ROOT%{_datadir}/mime/packages
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -d $RPM_BUILD_ROOT%{_mandir}/man1/

make -f makefile.linux install_saobin install_saoman    \
        ROOT=$RPM_BUILD_ROOT                            \
        SAOBINDIR=$RPM_BUILD_ROOT%{_bindir}/            \
        SAOMANDIR=$RPM_BUILD_ROOT%{_mandir}/man1/

desktop-file-install --vendor=fedora %{SOURCE1}         \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications

install -pm 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/mime/packages
install -pm 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pixmaps


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :


%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :


%files
%defattr(-,root,root,-)
%{_bindir}/saoimage
%{_datadir}/mime
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/saoimage.1*
%doc README NEWS COPYING
%doc doc/*.txt doc/*.pdf wcssubs-3.5.1/COPYING


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.35.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 7 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 1.35.1-6
- Fix blink crash
- Fix print crash caused by mkstemp patch
- Add a lot of missing includes, making FORTIFY_SOURCE effective

* Tue Mar 24 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 1.35.1-5
- Fix the categories

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.35.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct 26 2008 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 1.35.1-3
- Fix a segfault with recent xlib and displays with depth > 16 bpp

* Sun Oct 26 2008 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 1.35.1-2
- Incorporate suggestions by Mamoru Tasaka (#468517#c2)

* Mon Oct 20 2008 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 1.35.1-1
- Initial packaging attempt
